Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Classes | Functions | Variables

# Package showbase.Loader

## Classes
class | Loader
## Functions
def | asyncFlattenStrong
def | loadShader
| def makeNodeNamesUnique(self, nodePath, nodeCount): if nodeCount == 0: Loader.modelCount += 1 nodePath.setName(nodePath.getName() + ('_d_d' % (Loader.modelCount, nodeCount))) for i in range(nodePath.getNumChildren()): nodeCount += 1 self.makeNodeNamesUnique(nodePath.getChild(i), nodeCount)
def | unloadShader
## Variables
list | __all__ = ['Loader']
| phaseChecker = None

## Detailed Description

    Loader module: contains the Loader class

## Function Documentation

def showbase.Loader.asyncFlattenStrong | ( |  | self,
|  |  | model,
|  |  | inPlace = `True`,
|  |  | callback = `None`,
|  |  | extraArgs = `[]`
| ) |  |

    Performs a model.flattenStrong() operation in a sub-thread
    (if threading is compiled into Panda).  The model may be a
    single NodePath, or it may be a list of NodePaths.

    Each model is duplicated and flattened in the sub-thread.

    If inPlace is True, then when the flatten operation completes,
    the newly flattened copies are automatically dropped into the
    scene graph, in place the original models.

    If a callback is specified, then it is called after the
    operation is finished, receiving the flattened model (or a
    list of flattened models).

def showbase.Loader.loadShader | ( |  | self,
|  |  | shaderPath,
|  |  | okMissing = `False`
| ) |  |

def makeNodeNamesUnique(self, nodePath, nodeCount): if nodeCount == 0: Loader.modelCount += 1 nodePath.setName(nodePath.getName() + ('_d_d' % (Loader.modelCount, nodeCount))) for i in range(nodePath.getNumChildren()): nodeCount += 1 self.makeNodeNamesUnique(nodePath.getChild(i), nodeCount)

def showbase.Loader.unloadShader | ( |  | self,
|  |  | shaderPath
| ) |  |

## Variable Documentation

list __all__ = ['Loader']

phaseChecker = None

All Classes Namespaces Functions Variables Enumerations Enumerator Properties